Subject: Re: [PATCH net-2.6.25 1/4] include - Convert IP4 address class macros to inline functions

From: Joe Perches <[email-masked]>
Date: Mon, 19 Nov 2007 21:59:58 -0800

On Mon, 2007-11-19 at 21:46 -0800, David Miller wrote:
> I would also change the names, it's a better idea to prefix the
> names with a namespace for the stuff being operated on, therefore
> I'd prefer names like "ipv4_is_loopback()" etc.

I used:

+static inline bool is_ip4_loopback(__be32 addr)

and converted the current uses in net of macros
to use those functions directly.  I'd prefer to drop
the macros entirely, but there are uses in
drivers/infiniband and drivers/parisc to convert too.

> I'm dropping these patches for now.

Is the use of "is_ip4_<level>" not "ipv4_is_<level>"
your reason to drop the patches?